petsc-3.4.2 2013-07-02

# PetscViewerSetFromOptions

Sets the graphics type from the options database. Defaults to a PETSc X windows graphics.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerSetFromOptions(PetscViewer viewer)

Collective on PetscViewer

### Input Parameter

PetscViewer -the graphics context

### Notes

Must be called after PetscViewerCreate() before the PetscViewer is used.

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerType

Level:intermediate
Location:src/sys/classes/viewer/interface/viewreg.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages